InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::BLEConnSettings Struct Reference

Bluetooth LE Connection Settings. More...

`#include <BLEConnSettings.h>`

## Public Member Functions
| BLEConnSettings ()
| BLEConnSettings (std::wstring const &macAddress, std::wstring const &deviceName)
| BLEConnSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
std::wstring | macAddress
| MAC Address of the BLE device.
std::wstring | deviceName
| The name of the BLE device.
unsigned | payloadSize
| Maximum payload size of a BLE Message.

## Detailed Description

Bluetooth LE Connection Settings.

Class containing settings for an BLE connection.

## Constructor & Destructor Documentation

## ◆ BLEConnSettings() [1/3]

inertia::BLEConnSettings::BLEConnSettings | ( |  | ) |

Default constructor.

## ◆ BLEConnSettings() [2/3]

inertia::BLEConnSettings::BLEConnSettings | ( | std::wstring const & | macAddress,
|  | std::wstring const & | deviceName )

Constructor with individual arguments.

Parameters

  macAddress | MAC Address of the BLE device
  deviceName | the name of the BLE device

## ◆ BLEConnSettings() [3/3]

inertia::BLEConnSettings::BLEConnSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates BLEConnSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::BLEConnSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for BLEConnSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::BLEConnSettings::ToString | ( |  | ) | const

Get a string representation of this BLEConnSettings. The string is compatible with GetOptionDescription() and BLEConnSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- BLEConnSettings.h